Bug 120118 - [patch] devel/linux-js: fix for 7.x ABI breakage
Summary: [patch] devel/linux-js: fix for 7.x ABI breakage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-29 14:30 UTC by Teemu Korhonen
Modified: 2008-05-01 14:44 UTC (History)
0 users

See Also:


Attachments
linux-js-patch.diff (790 bytes, patch)
2008-01-29 14:30 UTC, Teemu Korhonen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Teemu Korhonen 2008-01-29 14:30:01 UTC
This patch fixes the module loading error in RELENG_7.
Also removes the IGNORE-mark.

In more detail: FILEDESC_UNLOCK and FILEDESC_LOCK is
replaced with FILEDESC_SUNLOCK and FILEDESC_SLOCK
as have been done in sys_generic.c when moving to RELENG_7.
Comment 1 Edwin Groothuis freebsd_committer 2008-01-29 14:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2008-04-29 06:28:03 UTC
Responsible Changed
From-To: jylefort->freebsd-ports-bugs

Maintainer was reset.
Comment 3 dfilter service freebsd_committer 2008-05-01 14:14:27 UTC
okazaki     2008-05-01 13:14:23 UTC

  FreeBSD ports repository

  Modified files:
    devel/linux-js       Makefile 
  Log:
  Fix for 7.x ABI breakage.
  
  PR:             120118
  Submitted by:   Teemu Korhonen
  
  Revision  Changes    Path
  1.8       +4 -4      ports/devel/linux-js/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tetsurou Okazaki freebsd_committer 2008-05-01 14:44:12 UTC
State Changed
From-To: open->closed

Committed, thanks!